package com.huijy.management.domain;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.huijy.common.annotation.Excel;
import com.huijy.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 商铺管理对象 t_shop
 *
 * @author luobo
 * @date 2021-09-12
 */
public class Shop extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 商铺id */
    private Long shopId;

    /** 商铺名称 */
    @Excel(name = "商铺名称")
    private String name;

    /** 地址 */
    @Excel(name = "地址")
    private String addres;

    /** 坐标lat */
    @Excel(name = "坐标lat")
    private String lat;

    /** 坐标lng */
    @Excel(name = "坐标lng")
    private String lng;

    /** 老板名称 */
    @Excel(name = "老板名称")
    private String bossName;

    /** 老板电话 */
    @Excel(name = "老板电话")
    private String bossPhone;

    /** 展示图片 */
    private String showPictures;

    /** 标签 */
    @Excel(name = "标签")
    private String labelText;

    /** 营业时间 */
    @Excel(name = "营业时间")
    private String businessHours;

    /** 简介 */
    @Excel(name = "简介")
        private String briefContent;

    /** 详情 */
    @Excel(name = "详情")
    private String content;

    /** 审核不通过原因 */
    @Excel(name = "审核不通过原因")
    private String msg;

    /** 营业执照 */
    @Excel(name = "营业执照")
    private String pic;

    /** 状态 */
    @Excel(name = "状态")
    private String enableFlag;

    /** 审核状态 0、未审核 1已审核 */
    @Excel(name = "审核状态 0、未审核 1已审核")
    private String auditFlag;

    /** 审核人 */
    @Excel(name = "审核人")
    private Long auditAt;

    /** 审核时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date auditTime;
    /**
     * 老板会员id
     */
    private Long memberId;
    /**
     * 商铺类型 1、商铺 2、酒店
     */
    private String shopType;

    private List<ShopRoom>rooms;

    public List<ShopRoom> getRooms() {
        return rooms;
    }

    public void setRooms(List<ShopRoom> rooms) {
        this.rooms = rooms;
    }

    public void setShopId(Long shopId)
    {
        this.shopId = shopId;
    }

    public Long getShopId()
    {
        return shopId;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setAddres(String addres)
    {
        this.addres = addres;
    }

    public String getAddres()
    {
        return addres;
    }
    public void setLat(String lat)
    {
        this.lat = lat;
    }

    public String getLat()
    {
        return lat;
    }
    public void setLng(String lng)
    {
        this.lng = lng;
    }

    public String getLng()
    {
        return lng;
    }
    public void setBossName(String bossName)
    {
        this.bossName = bossName;
    }

    public String getBossName()
    {
        return bossName;
    }
    public void setBossPhone(String bossPhone)
    {
        this.bossPhone = bossPhone;
    }

    public String getBossPhone()
    {
        return bossPhone;
    }
    public void setShowPictures(String showPictures)
    {
        this.showPictures = showPictures;
    }

    public String getShowPictures()
    {
        return showPictures;
    }
    public void setLabelText(String labelText)
    {
        this.labelText = labelText;
    }

    public String getLabelText()
    {
        return labelText;
    }
    public void setBusinessHours(String businessHours)
    {
        this.businessHours = businessHours;
    }

    public String getBusinessHours()
    {
        return businessHours;
    }
    public void setBriefContent(String briefContent)
    {
        this.briefContent = briefContent;
    }

    public String getBriefContent()
    {
        return briefContent;
    }
    public void setContent(String content)
    {
        this.content = content;
    }

    public String getContent()
    {
        return content;
    }
    public void setEnableFlag(String enableFlag)
    {
        this.enableFlag = enableFlag;
    }

    public String getEnableFlag()
    {
        return enableFlag;
    }
    public void setAuditFlag(String auditFlag)
    {
        this.auditFlag = auditFlag;
    }

    public String getAuditFlag()
    {
        return auditFlag;
    }
    public void setAuditAt(Long auditAt)
    {
        this.auditAt = auditAt;
    }

    public Long getAuditAt()
    {
        return auditAt;
    }
    public void setAuditTime(Date auditTime)
    {
        this.auditTime = auditTime;
    }

    public Date getAuditTime()
    {
        return auditTime;
    }

    public Long getMemberId() {
        return memberId;
    }

    public void setMemberId(Long memberId) {
        this.memberId = memberId;
    }

    public String getShopType() {
        return shopType;
    }

    public void setShopType(String shopType) {
        this.shopType = shopType;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public String getPic() {
        return pic;
    }

    public void setPic(String pic) {
        this.pic = pic;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("shopId", getShopId())
            .append("name", getName())
            .append("addres", getAddres())
            .append("lat", getLat())
            .append("lng", getLng())
            .append("bossName", getBossName())
            .append("bossPhone", getBossPhone())
            .append("showPictures", getShowPictures())
            .append("labelText", getLabelText())
            .append("businessHours", getBusinessHours())
            .append("briefContent", getBriefContent())
            .append("content", getContent())
            .append("enableFlag", getEnableFlag())
            .append("auditFlag", getAuditFlag())
            .append("auditAt", getAuditAt())
            .append("auditTime", getAuditTime())
            .append("createTime", getCreateTime())
            .append("memberId", getMemberId())
            .append("shopType", getShopType())
            .toString();
    }
}
